<?php

namespace App\Http\Controllers\Imports;

use App\Classes\Modules\Imports\ControllersLogic\ImportExcelLogic;
use App\Http\Controllers\Controller;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class ImportController extends Controller
{
    public function salesInvoices(Request $request, ImportExcelLogic $logic): JsonResponse
    {
        return $logic->execute($request);
    }

    public function officialReceipt(Request $request, ImportExcelLogic $logic): JsonResponse
    {
        return $logic->execute($request);
    }

    public function creditNote(Request $request, ImportExcelLogic $logic): JsonResponse
    {
        return $logic->execute($request);
    }

    public function salesDeposit(Request $request, ImportExcelLogic $logic): JsonResponse
    {
        return $logic->execute($request);
    }
}
